Attribute VB_Name = "ZZZ_Arranjing"
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
' IPress (C) 2001,2002,2003 Estndard Lingstic S.L.
'   versi 1.1rev7
'   Concepte i diseny per Ricard Prez
'   Programat per Gerardo Garca
'   Tots els drets reservats.
'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Option Explicit

Public Sub ZZZ_SetupWindows(ByVal Joribio As String)
  Dim docSource As Document
  Dim docTarget As Document
  Dim win As Window
  
    ' Si no estamos con Office XP permitimos el resize de ventanas
  If Val(Application.Version) < 10 Then
    ' Da problemas serios con Word XP. Desactivado en esa plataforma
    If ZZZ_CompruebaPar(Joribio) Then
      Set docSource = ZZZ_EncuentraTarget(Joribio)
      Set docTarget = ZZZ_EncuentraSource(Joribio)
  
        ' Reajustamos todas las source
      For Each win In docSource.Windows
        With win
          .Activate
          .WindowState = wdWindowStateNormal
          .Top = 2
          .Left = 2
          .Height = (Application.UsableHeight / 2) - 3
          .Width = Application.UsableWidth - 9
        End With
      Next win

        ' Reajustamos todas las target
      For Each win In docTarget.Windows
        With win
          .Activate
          .WindowState = wdWindowStateNormal
          .Left = 2
          .Top = Application.UsableHeight / 2
          .Height = (Application.UsableHeight / 2) - 8
          .Width = Application.UsableWidth - 9
        End With
      Next win
    Else
      MsgBox "No vaig trobar el parell de documents de la familia: '" + Joribio + "'", vbCritical, "Error al Arranjar windows"
    End If
  End If
End Sub

