Attribute VB_Name = "ZZZ_Barra"
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
' IPress (C) 2001,2002,2003 Estndard Lingstic S.L.
'   versi 1.1rev7
'   Concepte i diseny per Ricard Prez
'   Programat per Gerardo Garca
'   Tots els drets reservats.
'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Option Explicit

Public Const ZZZ_IPressToolBarName = "IPressToolBar"

Public Sub ZZZ_borraBarra(ByVal name As String)
  CustomizationContext = NormalTemplate
  If (ZZZ_estaBarra(name)) Then
    Application.CommandBars(name).Delete
  End If
End Sub

Private Function ZZZ_estaBarra(ByVal name As String) As Boolean
  Dim trobat As Boolean
  Dim cont As Integer
  Dim numcommandbars As Integer
  
  CustomizationContext = NormalTemplate
  trobat = False
  cont = 1
  numcommandbars = Application.CommandBars.Count
  While ((cont <= numcommandbars) And Not (trobat))
    If (Application.CommandBars(cont).name = name) Then
      trobat = True
    End If
    cont = cont + 1
  Wend
  ZZZ_estaBarra = trobat
End Function

Private Sub ZZZ_generaBarra(ByVal nameBar As String)
    'Generamos la barra
  CustomizationContext = NormalTemplate
  Application.CommandBars.Add name:=nameBar, Position:=msoBarTop, Temporary:=True
    'Aadimos los botones
  ZZZ_Botones.ZZZ_aadirBotones (nameBar)
End Sub


Public Sub ZZZ_activaBarra(ByVal nameBar As String)
    'Miramos si esta la barra
    'Si no est la generamos
  If Not (ZZZ_estaBarra(nameBar)) Then
    ZZZ_generaBarra (nameBar)
  End If
    'La hacemos visible en cualquier caso
  CustomizationContext = NormalTemplate
  With Application.CommandBars(nameBar)
    .Position = msoBarTop
    .Visible = True
    '.Protection = msoBarNoMove
  End With
End Sub

Public Sub ZZZ_ocultaBarra(ByVal nameBar As String)
  If Not (ZZZ_estaBarra(nameBar)) Then
    ZZZ_generaBarra (nameBar)
  End If
  CustomizationContext = NormalTemplate
  Application.CommandBars(nameBar).Visible = False
End Sub

Public Sub ZZZ_borraIPressToolBar()
  ZZZ_borraBarra ZZZ_Barra.ZZZ_IPressToolBarName
End Sub

Public Sub ZZZ_generaIPressToolBar()
  If ZZZ_count_bars(ZZZ_IPressToolBarName) > 1 Then
    ZZZ_seek_and_destroy_all_bars ZZZ_IPressToolBarName
  End If
  ZZZ_activaBarra ZZZ_Barra.ZZZ_IPressToolBarName
End Sub

Private Sub ZZZ_IconosButtons(ByVal nameBar As String)
  Dim botonFoo As CommandBarControl
  Dim i As Long
 
  For i = 1 To 1000
    Set botonFoo = Application.CommandBars(nameBar).Controls.Add(msoControlButton, 1)
    With botonFoo
      .Caption = ""
      .TooltipText = "Num: " & i
      .DescriptionText = "Num: " & i
      .FaceId = i
      .Style = msoButtonIconAndCaption
    End With
  Next i
End Sub

Private Sub ZZZ_generaBarraIconos()
  Dim nameBar As String
  nameBar = "IconosLib"
  CustomizationContext = NormalTemplate
  ZZZ_borraBarra nameBar
    'Generamos la barra
  Application.CommandBars.Add name:=nameBar, Position:=msoBarTop, Temporary:=True
    'Aadimos los botones
  ZZZ_IconosButtons (nameBar)
  ZZZ_activaBarra nameBar
End Sub

Public Sub ZZZ_seek_and_destroy_all_bars(ByVal nameBar As String)
  While ZZZ_estaBarra(nameBar)
    ZZZ_borraBarra nameBar
  Wend
End Sub

Private Function ZZZ_count_bars(ByVal nameBar As String) As Integer
  Dim a As Integer, t As Integer, numcommandbars As Integer
  
  CustomizationContext = NormalTemplate
  a = 1
  t = 0
  numcommandbars = Application.CommandBars.Count
  While (a <= numcommandbars)
    If (Application.CommandBars(a).name = nameBar) Then
      t = t + 1
    End If
    a = a + 1
  Wend
  
  ZZZ_count_bars = t
End Function

