Attribute VB_Name = "ZZZ_IPressAssistant"
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
' IPress (C) 2001,2002,2003 Estndard Lingstic S.L.
'   versi 1.1rev7
'   Concepte i diseny per Ricard Prez
'   Programat per Gerardo Garca
'   Tots els drets reservats.
'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Option Explicit

Public Const ZZZ_botonSustNext = 1
Public Const ZZZ_botonClearTxt = 2
Public Const ZZZ_botonSustExit = 3
Public Const ZZZ_botonCancelar = 4
Public Const ZZZ_botonIgnore = 5
Public ZZZ_leftIPressAssistant As Long
Public ZZZ_topIPressAssistant As Long
Public ZZZ_XXXIPressAssistant As Boolean

Public Sub ZZZ_IPressAssistant()
  Dim texto As String
  Dim fin As Boolean
  Dim col As Collection
  Dim chungu As Long, chungu2 As Long
  Dim dummy_bool As Boolean
  Dim rec_jump As Long, sel_end As Long
  Dim type_alt As String
  
  If Documents.Count > 0 Then
    fin = False
    Selection.Collapse
    Do
      Set ZZZ_IPressWindow.colop = ZZZ_BuscaYParseaOpcion(dummy_bool, rec_jump, sel_end, type_alt)
      If ZZZ_IPressWindow.colop.Count > 0 Then
        ZZZ_IPressWindow.Show
        texto = ZZZ_IPressWindow.textoFinal
        If ((ZZZ_IPressWindow.opcion = ZZZ_botonSustNext) Or (ZZZ_IPressWindow.opcion = ZZZ_botonSustExit)) Then
            ' Sustituimos el texto
          chungu = Selection.Start
          Options.ReplaceSelection = True
          Selection.TypeText texto
          Selection.Start = chungu
          Selection.End = chungu
          Selection.Collapse
          fin = (ZZZ_IPressWindow.opcion = ZZZ_botonSustExit)
            ' Si tenemos que borrar un espacio a la derecha, lo hacemos!
          If ZZZ_IPressWindow.spaceright.Value Then
            Selection.Start = chungu + Len(texto)
            Selection.End = Selection.Start
            If Selection.Characters.First = " " Then
              Selection.Delete
            End If
          End If
            ' Si tenemos que borrar un espacio a la izquierda, lo hacemos!
          If ZZZ_IPressWindow.spaceleft.Value Then
            Selection.Start = chungu
            Selection.End = chungu
            Selection.MoveLeft 1
            If Selection.Characters.First = " " Then
              Selection.Delete
            End If
          End If
          If ZZZ_IPressWindow.apply_auto.Value Or ZZZ_IPressWindow.apply_man.Value Then
            ApplyOptionAllDoc ZZZ_IPressWindow.referencia, texto, ZZZ_IPressWindow.apply_auto.Value, type_alt
          End If
        ElseIf ZZZ_IPressWindow.opcion = ZZZ_botonClearTxt Then
          Selection.Delete
        ElseIf ZZZ_IPressWindow.opcion = ZZZ_botonIgnore Then
          Selection.Collapse
          Selection.Start = rec_jump
          Selection.End = Selection.Start
        Else
          fin = True
        End If
      Else
        If MsgBox("S'ha arribat a la fi del document. Desitja tornar al comenament?", vbYesNo, "Repetim?") = vbNo Then
          fin = True
        Else
          Selection.Start = 0
          Selection.End = 0
        End If
      End If
      Set ZZZ_IPressWindow = Nothing
    Loop While Not fin
  Else
    MsgBox "No hi ha cap document obert on treballar.", vbExclamation, "Atenci!"
  End If
  Set ZZZ_IPressWindow = Nothing
End Sub

