VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} ZZZ_IPressWindow 
   Caption         =   "IPress Assistant"
   ClientHeight    =   3990
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6885
   OleObjectBlob   =   "ZZZ_IPressWindow.frx":0000
   StartUpPosition =   1  'Centrar en propietario
End
Attribute VB_Name = "ZZZ_IPressWindow"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
' IPress (C) 2001,2002,2003 Estndard Lingstic S.L.
'   versi 1.1rev7
'   Concepte i diseny per Ricard Prez
'   Programat per Gerardo Garca
'   Tots els drets reservats.
'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Option Explicit

Const msgalldoc1 = "Vol aplicar l'opci '"
Const msgalldoc2 = "' a tot el document?"
Public opcion As Long
Public textoFinal As String
Public colop As Collection
Public referencia As String

Private Sub cerrarCosita(Optional HideMeInTheMiddle As Boolean = True)
  ZZZ_leftIPressAssistant = ZZZ_IPressWindow.Left
  ZZZ_topIPressAssistant = ZZZ_IPressWindow.Top
  ZZZ_XXXIPressAssistant = True
  If HideMeInTheMiddle Then ZZZ_IPressWindow.hide
End Sub

Private Sub IPressManageKeys(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  If KeyCode = 116 Then     ' F5 = Substituir i avanar
    SustituirContinuar_Click
  ElseIf KeyCode = 117 Then ' F6 = Esborrar i avanar
    Limpiar_Click
  ElseIf KeyCode = 118 Then ' F7 = Substituir i sortir
    SustituirPor_Click
  ElseIf KeyCode = 119 Then ' F8 = Saltar
    Siguiente_Click
  ElseIf KeyCode = 120 Then ' F9 = Sortir
    salir_Click
  ElseIf KeyCode >= 48 And KeyCode <= 57 Then
    If KeyCode = 48 Then
      If ListBox.ListCount > 9 Then ListBox.ListIndex = 9
    Else
      If ListBox.ListCount > KeyCode - 49 Then ListBox.ListIndex = KeyCode - 49
    End If
  End If
End Sub

Private Sub apply_auto_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub apply_man_Change()
  apply_auto.Value = False
End Sub

Private Sub apply_auto_Change()
  apply_man.Value = False
End Sub

Private Sub apply_man_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub Frame1_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub


Private Sub Frame2_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub Limpiar_Click()
  opcion = ZZZ_botonClearTxt
  textoFinal = ""
  cerrarCosita
End Sub

Private Sub Limpiar_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub ListBox_Click()
  If ListBox.ListIndex >= 0 Then
    TextoDefinitivo.Text = ListBox.List(ListBox.ListIndex)
    referencia = ListBox.List(ListBox.ListIndex)
  Else
    TextoDefinitivo.Text = ""
    referencia = ""
  End If
End Sub

Private Sub ListBox_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub salir_Click()
  opcion = ZZZ_botonCancelar
  textoFinal = ""
  cerrarCosita
End Sub

Private Sub salir_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub Siguiente_Click()
  opcion = ZZZ_botonIgnore
  cerrarCosita
End Sub

Private Sub Siguiente_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub spaceleft_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub spaceright_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub SustituirContinuar_Click()
  If apply_auto.Value Or apply_man.Value Then
    If MsgBox(msgalldoc1 & TextoDefinitivo.Text & msgalldoc2, vbOKCancel, "Aplicar l'opci a tot el document?") = vbCancel Then
      apply_auto.Value = False
      apply_man.Value = False
      Exit Sub
    End If
  End If
  opcion = ZZZ_botonSustNext
  textoFinal = TextoDefinitivo.Text
  cerrarCosita
End Sub

Private Sub SustituirContinuar_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub SustituirPor_Click()
  If apply_auto.Value Or apply_man.Value Then
    If MsgBox(msgalldoc1 & TextoDefinitivo.Text & msgalldoc2, vbOKCancel, "Aplicar l'opci a tot el document?") = vbCancel Then
      apply_auto.Value = False
      apply_man.Value = False
      Exit Sub
    End If
  End If
  opcion = ZZZ_botonSustExit
  textoFinal = TextoDefinitivo.Text
  cerrarCosita
End Sub

Private Sub SustituirPor_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub TextoDefinitivo_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub UserForm_Activate()
  Dim i As Long
  
  If ZZZ_XXXIPressAssistant Then
    ZZZ_IPressWindow.Left = ZZZ_leftIPressAssistant
    ZZZ_IPressWindow.Top = ZZZ_topIPressAssistant
  Else
    'ZZZ_IPressWindow.Left = ZZZ_IPressWindow.Left * 1.75
    ZZZ_IPressWindow.Left = Application.UsableWidth - ZZZ_IPressWindow.Width - 5
  End If

  For i = 1 To colop.Count
    ListBox.AddItem colop(i)
  Next i
  
  If ListBox.ListCount > 0 Then ListBox.ListIndex = 0
  opcion = ZZZ_botonCancelar
  textoFinal = ""
End Sub

Private Sub UserForm_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressManageKeys KeyCode, Shift
End Sub

Private Sub UserForm_QueryClose(Cancel As Integer, CloseMode As Integer)
  opcion = ZZZ_botonCancelar
  textoFinal = ""
  cerrarCosita False
End Sub
